/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.common.db.PaginationService;
import net.northking.cctp.dw.db.dao.BugDensityChartDao;
import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.db.service.BugDensityChartService;
import net.northking.cctp.dw.db.entity.BugDensityChart;

import net.northking.cctp.common.db.BasicDao;

import net.northking.cctp.dw.dto.ProjectDataVo;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 缺陷密度分布图
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-17 15:58:25  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "BugDensityChartServiceImpl")
public class BugDensityChartServiceImpl extends PaginationService<BugDensityChart> implements BugDensityChartService
{
private static final Logger logger = LoggerFactory.getLogger(BugDensityChartServiceImpl.class);

  private final BugDensityChartDao bugDensityChartDao;

  public BugDensityChartServiceImpl(BugDensityChartDao bugDensityChartDao) {this.bugDensityChartDao = bugDensityChartDao;}

  public BasicDao<BugDensityChart> getDao() {return bugDensityChartDao;}

  public BugDensityChart createEntity() { return new BugDensityChart();}

  @Override
  protected void beforeInsert(BugDensityChart bugDensityChart) {

  }

  @Override
  protected void beforeUpdate(BugDensityChart bugDensityChart) {

  }

  @Override
  public void addByBatch(List<BugDensityChart> lists) {
    bugDensityChartDao.addByBatch(lists);
  }

  @Override
  public void insertBatch(List<MidProjectInfo> dataList, String tenantId) {
    bugDensityChartDao.insertBatch(dataList,tenantId);
  }

  @Override
  public List<BugDensityChart> getProjectList() {
    return bugDensityChartDao.getProjectList();
  }

  @Override
  public void deleteByData(List<MidProjectInfo> dataList, String tenantId) {
    bugDensityChartDao.deleteByData(dataList,tenantId);
  }

  @Override
  public List<ProjectDataVo> queryBugDensityByTenantId(String tenantId,List<String> projectIds) {
    return bugDensityChartDao.queryBugDensityByTenantId(tenantId,projectIds);
  }


// ----      The End by Generator     ----//




}

